Client/Server Version Mismatch on Raspbian

I recently installed Raspbian on my Pi 2. Follow the instructions for Debian 8, I installed ownCloud server, added the repository key to apt, and updated/upgraded. When I run the latest windows client offered on the site I am told that my server version is to old that I need to update. If I run apt-get update && apt-get install owncloud I am told I have the latest version. Any idea what’s wrong?

These are the openSUSE forums. Not the Debian forums (and we do not use apt-get and friends). Or am I missing something?

Sorry, something sent me here that lead me to believe this was ownCloud forums.